com.verisign.epp.codec.launchpolicy.v01

## Enum EPPLaunchPolicyPhase.CreateForm

- java.lang.Object
- - java.lang.Enum<EPPLaunchPolicyPhase.CreateForm>
  - - com.verisign.epp.codec.launchpolicy.v01.EPPLaunchPolicyPhase.CreateForm

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<EPPLaunchPolicyPhase.CreateForm>
  Enclosing class:
    EPPLaunchPolicyPhase

      public static enum EPPLaunchPolicyPhase.CreateForm
      extends java.lang.Enum<EPPLaunchPolicyPhase.CreateForm>
      implements java.io.Serializable, java.lang.Cloneable

  Possible create forms supported by the phase.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `claims` Indicates support for the Claims Create Form, which is an extension of the Domain Create Command to include information related to the registrant's acceptance of the Claims Notice.
    `general` Indicates support for the General Create Form, which is an extension of the Domain Create Command to specify the target launch phase for the domain create.
    `mixed` Indicates support for the Mixed Create Form, where a mix of create forms is supported.
    `sunrise` Indicates support for the Sunrise Create Form, which is an extension of the Domain Create Command to include the verifiable trademark information that the server uses to match against the domain name to authorize the domain create.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPLaunchPolicyPhase.CreateForm` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EPPLaunchPolicyPhase.CreateForm[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### sunrise

          public static final EPPLaunchPolicyPhase.CreateForm sunrise

      Indicates support for the Sunrise Create Form, which is an extension of the Domain Create Command to include the verifiable trademark information that the server uses to match against the domain name to authorize the domain create.

    - #### claims

          public static final EPPLaunchPolicyPhase.CreateForm claims

      Indicates support for the Claims Create Form, which is an extension of the Domain Create Command to include information related to the registrant's acceptance of the Claims Notice.

    - #### general

          public static final EPPLaunchPolicyPhase.CreateForm general

      Indicates support for the General Create Form, which is an extension of the Domain Create Command to specify the target launch phase for the domain create.

    - #### mixed

          public static final EPPLaunchPolicyPhase.CreateForm mixed

      Indicates support for the Mixed Create Form, where a mix of create forms is supported. For example, the Sunrise Create Form and the Claims Create Form is supported in a single command by including both the verified trademark information and the information related to the registrant's acceptance of the Claims Notice.

  - ### Method Detail

    - #### values

          public static EPPLaunchPolicyPhase.CreateForm[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EPPLaunchPolicyPhase.CreateForm c : EPPLaunchPolicyPhase.CreateForm.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EPPLaunchPolicyPhase.CreateForm valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © VeriSign Inc. All Rights Reserved.